# code_print: ‍ 코드 정리, 이제 훨씬 쉽게!

**개발자 여러분, 지루한 코드 정리에 시간을 낭비하지 마세요!**

code_print는 특정 디렉토리 내 코드를 깔끔하게 출력해주는 **간편하고 강력한** Python 프로젝트입니다. 이제 코드를 정리하고 싶을 때, 터미널에서 간단한 명령어 하나만 입력하면 됩니다.

**code_print가 제공하는 멋진 기능들:**

- **✨ 디렉토리 내 모든 코드 한눈에:** 특정 디렉토리 내 원하는 확장자의 코드를 깔끔하게 출력합니다.
- **코드 줄 번호 표시:** 코드를 쉽게 분석하고 이해할 수 있도록 코드 줄 번호를 함께 표시합니다.
- **확장자별 출력:** 원하는 확장자의 코드만 선택적으로 출력할 수 있습니다.
- **간편한 사용:** 터미널에서 간단한 명령어만 입력하면 바로 사용할 수 있습니다.

**code_print를 사용하면:**

- 폴더 내 코드를 빠르고 쉽게 확인할 수 있습니다.
- 특정 확장자의 코드를 쉽게 찾고 관리할 수 있습니다.
- 코드 리뷰를 효율적으로 진행할 수 있습니다.

**설치 및 사용 방법:**

**설치**

```
pip install code_print
```

**사용법**

```
code_print print_dir --dirpath /path/to/dir --ext .py
```

**옵션**

- `--dirpath`: 출력하려는 디렉토리 경로
- `--ext`: 출력하려는 확장자 (여러 개 지정 가능)

**더 자세한 사용 방법 및 예시는 아래 링크를 참고하세요.**

- **GitHub 저장소:** URL GitHub code_print
- **PyPI:** URL PyPI code_print

**지금 바로 code_print를 사용하여 코드 정리 작업을 훨씬 쉽게 해결하세요!**

**문제 해결 및 기여**

문제가 발생하거나 code_print에 기여하고 싶으시면 GitHub 저장소의 Issues 섹션을 이용해 주세요.

**감사**

- click 라이브러리 개발자
- print_file_info 함수 작성자

**기여자**

- [Your Name]

**라이센스**

MIT 라이센스

# code_print: Organize your code with ease!

**Developers, stop wasting time for your code!**

code_print is a **simple yet powerful** Python project that helps you print code from a specific directory in a clean and organized way. Now, whenever you want to review your code, all you need to do is type a simple command in the terminal.

**Awesome features of code_print:**

- **✨ See all your code at a glance:** Print code with the desired extension from a specific directory neatly.
- **✨ Line numbers:** Easily analyze and understand your code with line numbers displayed.
- **✨ Filter by extension:** Selectively print only the code with the desired extension.
- **✨ Easy to use:** Just type a simple command in the terminal to get started.

**With code_print, you can:**

- Quickly and easily check the code in a folder.
- Easily find and manage code with specific extensions.
- Conduct code reviews efficiently.

**Installation and usage:**

**Installation**

```
pip install code_print
```

**Usage**

```
code_print print_dir --dirpath /path/to/dir --ext py
```

**Options**

- `--dirpath`: The directory path you want to print
- `--ext`: The extension of the code you want to print (multiple extensions can be specified)

**For more detailed usage and examples, please refer to the following links.**

- **GitHub repository:** URL GitHub code_print
- **PyPI:** URL PyPI code_print

**Start using code_print now and make整理your code a much easier task!**

**Troubleshooting and contributing**

If you encounter any problems or want to contribute to code_print, please use the Issues section of the GitHub repository.

**Thanks to**

- Click library developers

**Contributors**

- DavidCho [<csi00700@gmail.com>]

**License**

MIT License
